Page MenuHomeFreeBSD

Update games/ioquake3 and slave ports
ClosedPublic

Authored by kami on Apr 2 2016, 10:11 PM.

Details

Summary

All the ports based on the ioquake3 engine are related, games/ioquake3
has the following slaves that should be updated together:

  • games/ioquake3
    • games/ioquake3-server
    • games/ioquake3-devel
      • games/ioquake3-devel-server
    • games/iourbanterror
      • games/iourbanterror-server
    • games/openarena
      • games/openarena-server

In addition this update affects the following -data ports:

  • games/openarena-oax
  • games/openarena-data
  • games/urbanterror-data

The following maintenance operations were performed:

  • Recreate all patches with make makepatch
  • Add LICENSE
  • Update MAINTAINER to kami@freebsd.org
  • games/ioquake3
    • Replace a lot of .if ${PORT_OPTIONS:MFOO} with bsd.options.mk fu
    • Add support for slaves using different SDL versions
  • games/ioquake3-devel
    • Update to GIT revision 2808
    • Use SDL2
  • games/iourbanterror
    • Change treatment of patches so make makepatch doesn't screw the patches in ${MASTERDIR}/files over
    • Update 4.2.018 to 4.2.023
  • games/urbanterror-data
    • Update 4.2.018 to 4.2.023
    • Fix install without DOCS
Test Plan

Successfully Tested using poudriere with 9.3 and 10.2 i386 and amd64 jails.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

kami updated this revision to Diff 14844.Apr 2 2016, 10:11 PM
kami retitled this revision from to Update games/ioquake3 and slave ports.
kami updated this object.
kami edited the test plan for this revision. (Show Details)
kami added reviewers: koobs, cs.
cs accepted this revision.Apr 25 2016, 6:29 PM
cs edited edge metadata.

Is there any reason you add the COPYING file in games/ioquake3/Makefile and games/openarena-oax/Makefile?

Second comment: I think you should try to submit some of your patches upstream.

This revision is now accepted and ready to land.Apr 25 2016, 6:29 PM
This revision was automatically updated to reflect the committed changes.
kami added a comment.Apr 26 2016, 5:23 AM
In D5816#129668, @cs wrote:

Is there any reason you add the COPYING file in games/ioquake3/Makefile and games/openarena-oax/Makefile?

There are weird artifacts in the files, so I guess it's safer to include the licenses as is.

Second comment: I think you should try to submit some of your patches upstream.

Upstream does not process pull requests. I file them any way.